#! /bin/sh
file="/etc/apt/sources.list.d/cdos-appstore.list"

getRepobyVer() {
    local ver=$(cat /etc/os-release | grep -E '^VERSION=' | cut -d '=' -f2)
    ver=$(eval echo $ver)
    ver=$(echo $ver | cut -d '-' -f1 | tr '[:lower:]' '[:upper:]')

    case "$ver" in
        "3.1"|"4.0"|"4.0.0"|"5.0(PRE)")
            echo "4.0"
            ;;
        "4.0(SP1)"|"5.0")
            echo "tiger"
            ;;
        *)
            echo ""
            ;;
    esac
}

if [ ! -f "$file" ]; then
    repo=$(getRepobyVer)
    echo "deb [ trusted=yes ] https://softcenter-all.os.nfschina.com/nfscdos 3.0 softwarecenter drivecenter depend $repo" > $file

    if [ "4.0" = "$repo" ]; then
        sed -i "/^deb/ s/https:/http:/" $file
    fi
fi

while true
do
    apt-get update
    ret=$?
    cnt=$(ls -l /var/lib/apt/lists | grep -E "softcenter-all.os.nfschina.com_*_Release" | wc -l)
    if [ $ret -eq 0 -a $cnt -gt 0 ]; then
        break
    fi

    echo "apt-get update failed, retry later..."
    sleep 15
done
